Loading...
Searching...
No Matches
pcl::search::internal Namespace Reference

## Classes

struct | PointCloudAdaptor
| Helper for KdTreeNanoflann, serves as a dataset adaptor. More...

## Functions

template<typename Dist>
float | square_if_l2 (float radius)
| Helper function for radiusSearch: must have a template specialization if the distance norm is L2.

## Function Documentation

## square_if_l2()

template<typename Dist>

float pcl::search::internal::square_if_l2 | ( | float | radius | ) |

Helper function for radiusSearch: must have a template specialization if the distance norm is L2.

Definition at line 85 of file kdtree_nanoflann.h.

Referenced by pcl::search::KdTreeNanoflann< PointT, Dim, Distance, L2_Adaptor, L2_Simple_Adaptor, Tree >::radiusSearch().